Friday, June 07, 2013

The Winds of Change....for Oracle Application Express 5.0

A few changes are planned for Oracle Application Express 5.0.

Beginning with Oracle Application Express 5.0, the minimum database version for Oracle Application Express will be Oracle Database  Extended Support for Oracle Database ends in August 2015, per the Lifetime Support Policy, and while only roughly 10% of our APEX customers are still using Oracle Database 11.1, this is still considered a supported product for those customers on Extended Support.

Also beginning with Oracle Application Express 5.0, running APEX-built applications using Internet Explorer 6 will no longer be supported.  This was primarily precipitated by the inclusion of jQuery UI 1.10.3 in Oracle Application Express 5.0, but quite honestly, the rest of the world is moving on, and so must Oracle Application Express.

We are also considering dropping support for Internet Explorer 7 to develop applications in the Application Builder, but this is still being evaluated and no final determination has been made.  Feel free to sound off if you believe this would cause you or your customers any significant pain.